Transport Rising Phoenix


Less quantity, better quality

Incompatible ETS2 & ATS Versions

SCS has released version 1.50 for Euro Truck Simulator 2 & American Truck Simulator

We do not support these updates yet on TruckersMP, but fortunately it is possible to downgrade to 1.49!

For information on downgrading your game, please click here

Information


Tag: TRP
Language: English
Created: 17 Dec 2019 10:00 UTC
Supported Games
Euro Truck Simulator 2
American Truck Simulator
DLCs Required: 0
Owner: Danny.
Members: 18
Recruitment: Open

Latest VTC Posts

There are currently no posts

Rules

CONTACT US

Want to know more information or have a question?

By Website

Social

Requirements

In order to join the VTC you firstly need to be a respectful person and to know how to drive in a professional way. You should also have a minimum of 100 hours in the game in order to apply for this VTC.

DLC Requirements

No DLCs Required

Members

Danny.
Danny.
Chief Executive Officer
saad_infinity
saad_infinity
Driver
DD California
DD California
Driver
TheDonbase
TheDonbase
Driver
_Stels_
_Stels_
Driver
Dalia
Dalia
Driver
View more